"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
Copyright 2020-2023 ONDEWO GmbH

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
"""
import builtins
import collections.abc
import google.protobuf.any_pb2
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import google.protobuf.timestamp_pb2
import google.rpc.status_pb2
import ondewo.nlu.operation_metadata_pb2
import sys
import typing

if sys.version_info >= (3, 8):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing_extensions.final
class Operation(google.protobuf.message.Message):
    """This resource represents a long-running operation that is the result of a
    network API call.
    """

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    METADATA_FIELD_NUMBER: builtins.int
    DONE_FIELD_NUMBER: builtins.int
    ERROR_FIELD_NUMBER: builtins.int
    RESPONSE_FIELD_NUMBER: builtins.int
    name: builtins.str
    """The server-assigned name, which is only unique within the same service that
    originally returns it. If you use the default HTTP mapping, the
    `name` should have the format of `operations/some/unique/name`.
    """
    @property
    def metadata(self) -> ondewo.nlu.operation_metadata_pb2.OperationMetadata:
        """Service-specific metadata associated with the operation.  It typically
        contains progress information and common metadata such as create time.
        Some services might not provide such metadata.  Any method that returns a
        long-running operation should document the metadata type, if any.
        """
    done: builtins.bool
    """If the value is `false`, it means the operation is still in progress.
    If true, the operation is completed, and either `error` or `response` is
    available.
    """
    @property
    def error(self) -> google.rpc.status_pb2.Status:
        """The error result of the operation in case of failure or cancellation."""
    @property
    def response(self) -> google.protobuf.any_pb2.Any:
        """The normal response of the operation in case of success.  If the original
        method returns no data on success, such as `Delete`, the response is
        `google.protobuf.Empty`.  If the original method is standard
        `Get`/`Create`/`Update`, the response should be the resource.  For other
        methods, the response should have the type `XxxResponse`, where `Xxx`
        is the original method name.  For example, if the original method name
        is `TakeSnapshot()`, the inferred response type is
        `TakeSnapshotResponse`.
        """
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        metadata: ondewo.nlu.operation_metadata_pb2.OperationMetadata | None = ...,
        done: builtins.bool = ...,
        error: google.rpc.status_pb2.Status | None = ...,
        response: google.protobuf.any_pb2.Any | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["error", b"error", "metadata", b"metadata", "response", b"response", "result", b"result"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["done", b"done", "error", b"error", "metadata", b"metadata", "name", b"name", "response", b"response", "result", b"result"]) -> None: ...
    def WhichOneof(self, oneof_group: typing_extensions.Literal["result", b"result"]) -> typing_extensions.Literal["error", "response"] | None: ...

global___Operation = Operation

@typing_extensions.final
class GetOperationRequest(google.protobuf.message.Message):
    """The request message for [Operations.GetOperation][ondewo.nlu.Operations.GetOperation]."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    name: builtins.str
    """The name of the operation resource."""
    def __init__(
        self,
        *,
        name: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name"]) -> None: ...

global___GetOperationRequest = GetOperationRequest

@typing_extensions.final
class ListOperationsRequest(google.protobuf.message.Message):
    """The request message for [Operations.ListOperations][ondewo.nlu.Operations.ListOperations]."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    FILTER_FIELD_NUMBER: builtins.int
    PAGE_SIZE_FIELD_NUMBER: builtins.int
    PAGE_TOKEN_FIELD_NUMBER: builtins.int
    OPERATION_FILTER_FIELD_NUMBER: builtins.int
    name: builtins.str
    """The name of the operation collection."""
    filter: builtins.str
    """The standard list filter."""
    page_size: builtins.int
    """The standard list page size."""
    page_token: builtins.str
    """Optional: The page token to support pagination.
    Pagination allows you to retrieve a large result set in smaller, more manageable portions.
    The page token is a string representing the current index and page size.

    Valid page token strings:
    * "" (empty string) - Retrieves the first page.
    * "current_index-0--page_size-20" - Retrieves the first page with a page size of 20.
    * "current_index-1--page_size-20" - Retrieves the second page with a page size of 20.

    Index starts at 0.

    Examples of valid page token strings:
    * ""
    * "current_index-0--page_size-20"
    * "current_index-1--page_size-20"
    * "current_index-10--page_size-20"

    Examples of invalid page token strings:
    * "1"
    * "current_index-0--page_size-20"
    * "current_index--1--page_size-20"
    * "current_index1--page_size-20"
    * "current_index-1--page_size--20"
    """
    @property
    def operation_filter(self) -> global___OperationFilter:
        """Optional. A filter to narrow the response down to operations of interest."""
    def __init__(
        self,
        *,
        name: builtins.str = ...,
        filter: builtins.str = ...,
        page_size: builtins.int = ...,
        page_token: builtins.str = ...,
        operation_filter: global___OperationFilter | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["operation_filter", b"operation_filter"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["filter", b"filter", "name", b"name", "operation_filter", b"operation_filter", "page_size", b"page_size", "page_token", b"page_token"]) -> None: ...

global___ListOperationsRequest = ListOperationsRequest

@typing_extensions.final
class OperationFilter(google.protobuf.message.Message):
    """This message contains an operation filter"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    PROJECT_PARENTS_FIELD_NUMBER: builtins.int
    STATUSES_FIELD_NUMBER: builtins.int
    TYPES_FIELD_NUMBER: builtins.int
    START_TIME_FIELD_NUMBER: builtins.int
    END_TIME_FIELD_NUMBER: builtins.int
    USER_IDS_FIELD_NUMBER: builtins.int
    @property
    def project_parents(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """An operationFilter can be used in some requests to return only operations matching certain filter conditions.

        All fields below are  optional. Multiple fields specified at the same time are chained via OR.
        Match operations with any of the following project parents.
        """
    @property
    def statuses(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[ondewo.nlu.operation_metadata_pb2.OperationMetadata.Status.ValueType]:
        """Match operation which had any of the following operation statuses."""
    @property
    def types(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[ondewo.nlu.operation_metadata_pb2.OperationMetadata.OperationType.ValueType]:
        """Match operation which had any of the following operation types."""
    @property
    def start_time(self) -> google.protobuf.timestamp_pb2.Timestamp:
        """The time operation processing started."""
    @property
    def end_time(self) -> google.protobuf.timestamp_pb2.Timestamp:
        """The time operation processing completed."""
    @property
    def user_ids(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[builtins.str]:
        """Match operation which had any of the following user_ids."""
    def __init__(
        self,
        *,
        project_parents: collections.abc.Iterable[builtins.str] | None = ...,
        statuses: collections.abc.Iterable[ondewo.nlu.operation_metadata_pb2.OperationMetadata.Status.ValueType] | None = ...,
        types: collections.abc.Iterable[ondewo.nlu.operation_metadata_pb2.OperationMetadata.OperationType.ValueType] | None = ...,
        start_time: google.protobuf.timestamp_pb2.Timestamp | None = ...,
        end_time: google.protobuf.timestamp_pb2.Timestamp | None = ...,
        user_ids: collections.abc.Iterable[builtins.str] | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["end_time", b"end_time", "end_time_oneof", b"end_time_oneof", "start_time", b"start_time", "start_time_oneof", b"start_time_oneof"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["end_time", b"end_time", "end_time_oneof", b"end_time_oneof", "project_parents", b"project_parents", "start_time", b"start_time", "start_time_oneof", b"start_time_oneof", "statuses", b"statuses", "types", b"types", "user_ids", b"user_ids"]) -> None: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["end_time_oneof", b"end_time_oneof"]) -> typing_extensions.Literal["end_time"] | None: ...
    @typing.overload
    def WhichOneof(self, oneof_group: typing_extensions.Literal["start_time_oneof", b"start_time_oneof"]) -> typing_extensions.Literal["start_time"] | None: ...

global___OperationFilter = OperationFilter

@typing_extensions.final
class ListOperationsResponse(google.protobuf.message.Message):
    """The response message for [Operations.ListOperations][ondewo.nlu.Operations.ListOperations]."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    OPERATIONS_FIELD_NUMBER: builtins.int
    NEXT_PAGE_TOKEN_FIELD_NUMBER: builtins.int
    @property
    def operations(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___Operation]:
        """A list of operations that matches the specified filter in the request."""
    next_page_token: builtins.str
    """The next_page_token is used to retrieve the next page of a returned result,
    e.g. next_page_token is current_index-2
    """
    def __init__(
        self,
        *,
        operations: collections.abc.Iterable[global___Operation] | None = ...,
        next_page_token: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["next_page_token", b"next_page_token", "operations", b"operations"]) -> None: ...

global___ListOperationsResponse = ListOperationsResponse

@typing_extensions.final
class CancelOperationRequest(google.protobuf.message.Message):
    """The request message for [Operations.CancelOperation][ondewo.nlu.Operations.CancelOperation]."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    name: builtins.str
    """The name of the operation resource to be cancelled."""
    def __init__(
        self,
        *,
        name: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name"]) -> None: ...

global___CancelOperationRequest = CancelOperationRequest

@typing_extensions.final
class DeleteOperationRequest(google.protobuf.message.Message):
    """The request message for [Operations.DeleteOperation][ondewo.nlu.Operations.DeleteOperation]."""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    NAME_FIELD_NUMBER: builtins.int
    name: builtins.str
    """The name of the operation resource to be deleted."""
    def __init__(
        self,
        *,
        name: builtins.str = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing_extensions.Literal["name", b"name"]) -> None: ...

global___DeleteOperationRequest = DeleteOperationRequest
